# This is a dirty and highly unportable way of compiling and running. To be fixed later with a proper makefile.
# Anyway, you should see this only as an example.

# Compile and link
gcc -o kniehl_khors_fig1.exe ../../lib/opucem.o -I../.. kniehl_khors_fig1.c

# remove temp files (in case they did not get cleaned at the end of last run)
rm -f ./out?.dat drtmp.C

# run the created binary and produce the inputs to ROOT graphs
./kniehl_khors_fig1.exe | sed s/=/' '/g | awk '{for (i=0;i<4;i++) {print $2, $(i*2+4) > "./out"i".dat"}}'

# create a temporary .C to draw the plot
echo '{TGraph g0("out0.dat"); g0.Draw("alp*"); g0.SetMarkerColor(2);' > drtmp.C
echo ' g0.GetHistogram().SetMinimum(-0.005); g0.GetHistogram().SetMaximum(0.03);' >> drtmp.C
echo ' TGraph g1("out1.dat"); g1.Draw("*"); g1.SetMarkerColor(4);' >> drtmp.C
echo ' TGraph g2("out2.dat"); g2.Draw("*"); g2.SetMarkerColor(2);' >> drtmp.C
echo ' TGraph g3("out3.dat"); g3.Draw("*"); g3.SetMarkerColor(4);}' >> drtmp.C

# assuming that ROOT is installed on the system, run the macro
root -l drtmp.C

# done, clean the temp files
rm -f ./out?.dat drtmp.C
